-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
-- TEXTURA
SetTexture("bubble.xml");
pFrame:Init(fPick(0,1,1));

-- ESCALA
mScaleSpeed = fRange(0.02,0.05);
pScale:Init( fRange(0.35, 0.55) );
pScale:Anim( pScale + fTimeScale(mScaleSpeed));


-- POSICION
mMaxIniDist = 5;
mYMaxSpeedSlow = 200;
mYMinSpeedSlow = 50;
mYMaxSpeedFast = 250;
mYMinSpeedFast = 100;
maxAmp = 80;
minAmp = 40;
mYSpeed = Allocate(1);
mYSpeed:Init(fPick(fRange(mYMinSpeedSlow,mYMaxSpeedSlow),fRange(mYMinSpeedFast,mYMaxSpeedFast)));
prop = Allocate(1);
prop:Init(mYSpeed / mYMaxSpeedFast);
inv = Allocate(1);
inv:Init((prop*-1)+1);

pVelocity = Allocate(2);

if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init( fRange( Vec2(-mMaxIniDist,0), Vec2(mMaxIniDist,0) ) +dLocus);
ampX = Allocate(1);
ampX:Init(fRange(minAmp,maxAmp)*fPick(-1 ,1) * prop);
pVelocity:Init(Vec2(0,mYSpeed*-1));
pPosition:Anim( pPosition + fTimeScale(pVelocity)
	+ fTimeScale(fFade(pAge,
		Vec2(ampX,0),inv*200, 
		Vec2(ampX*-1,0),inv*400, 
		Vec2(ampX,0),inv*600, 
		Vec2(ampX*-1,0),inv*800,
		Vec2(ampX,0),inv*1000, 
		Vec2(ampX*-1,0),inv*1200, 
		Vec2(ampX,0),inv*1400, 
		Vec2(ampX*-1,0),inv*1600, 
		Vec2(ampX,0),inv*1800, 
		Vec2(ampX*-1,0),inv*2000, 
		Vec2(ampX,0),inv*2200, 
		Vec2(ampX*-1,0),inv*2400, 
		Vec2(ampX,0),inv*2600, 
		Vec2(ampX*-1,0),inv*2800,
		Vec2(ampX,0),inv*3000, 
		Vec2(ampX*-1,0),inv*3200, 
		Vec2(ampX,0),inv*3400, 
		Vec2(ampX*-1,0),inv*3600, 
		Vec2(ampX,0),inv*3800, 
		Vec2(ampX*-1,0),inv*4000, 
		Vec2(ampX,0)
	))
);

-- ROTACION
pSpin = Allocate(1); 
pSpin:Init(-mPi/2);
--pSpin:Anim( pSpin + fRange( -0.01,0.01 ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
--mBlendMode = kBlendNormal;
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(Color(1,1,1,0.6));

-- EMISION 
mMaxParticles = 500;
mEmitSpeed = 3;
if not barLevel then
  barLevel = 463;
end
--barLevel = 463;
level = Allocate(1);
level:Init(barLevel);
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(((pAge/1000)*mYSpeed),level) ) );

--time_ms=0;
function Update(seconds)
   --time_ms = time_ms + seconds*1000;
   CreateParticles(seconds*mEmitSpeed);
--CreateParticles(seconds*mEmitSpeed);
--   if time_ms>(mExpireTime) then
  --      Done();
   --end
end 