-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("cloud.xml");
pFrame:Init(fPick(0,0,0,1,2,2,2,3,3,3));

-- ESCALA
pScale:Init(fRange(1,2));

-- POSICION
mMaxIniDist = 1200;
mXSpeed = fRange(50,70);
mYSpeed = fRange(-5,5);
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( fRange( Vec2(-500,0), Vec2(-500,mMaxIniDist) ) + dLocus );
pVelocity = Allocate(2);
pVelocity:Init(Vec2(mXSpeed,mYSpeed));
pPosition:Anim( pPosition + fTimeScale(pVelocity));

-- ROTACION
mMaxSpinSpeed = 0.004*mPi;
mMinSpinSpeed = 0;
pSpin = Allocate(1);
pSpin:Init(fRange(-0.48*mPi,-0.52*mPi));
pSpinSpeed = Allocate(1); 
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed )*fPick(1,-1));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mBlendMode = kBlendNormal;
SetBlendMode(mBlendMode);


-- EMISION 
mMaxParticles = 50;
mEmitSpeed = 0.5;
mExpireTime = 52000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );

function Update(seconds)
   CreateParticles(seconds*mEmitSpeed);
end 