-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
-- TEXTURA
SetTexture("drillbreak.xml");
pFrame:Init(3);
-- POSICION
mMaxSpeed = 2200;
mMinSpeed = 1800;
mGravity = 5000;
pVelocity = Allocate(2);
if not dLocus then
   dLocus= Vec2(0,0);
end
pPosition:Init(dLocus);
direction = Vec2( 0.1,-1);
pVelocity:Init(direction*fRange( mMinSpeed,mMaxSpeed));
pPosition:Anim( pPosition + fTimeScale(fFade( pAge,Vec2(0,0),300,pVelocity)) );
pVelocity:Anim( pVelocity + fTimeScale(Vec2(0,mGravity)) );

-- ROTACION
mMaxSpinSpeed = 10*mPi;
mMinSpinSpeed = 5*mPi;
pSpin = Allocate(1); 
pSpinSpeed = Allocate(1);
pSpin:Init( -0.5*3.1415927);
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed ));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
SetBlendMode(kBlendNormal);

-- EMISION 
mExpireTime = 1000;
delay = 500;
createOnce = false;
mMaxParticles = 1;
SetNumParticles(mMaxParticles);
CreateParticles( mMaxParticles );
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
time_ms=0;
function Update(seconds)
   time_ms = time_ms + seconds*1000;
   if time_ms>(mExpireTime) then
        Done();
   end
end 