-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("steam");

-- ESCALA
pScale:Anim( fFade( pAge,
   0.4, 1500,
   0.6));


-- POSICION

mMaxIniDist = 10;
mXMinSpeed = 10;
mXMaxSpeed = 30;
mXSpeed = Allocate(1);
mXSpeed:Init(fRange(mXMinSpeed,mXMaxSpeed));
mYSpeed = 3;
pVelocity = Allocate(2);

if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init( 
   fRange( Vec2(0,-mMaxIniDist), 
      Vec2(0,mMaxIniDist) ) + dLocus + Vec2(10,0) );
pVelocity:Init(Vec2(mXSpeed,mYSpeed));
pPosition:Anim( pPosition + fTimeScale(pVelocity));

-- ROTACION
mMaxSpinSpeed = 1.2*mPi;
mMinSpinSpeed = mPi/2;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1); 
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed )*fPick(1,-1));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
SetBlendMode(kBlendNormal);
mColor1 = Color(0.6,0.5,0.3,0.1);
mColor2 = Color(0.6,0.5,0.3,0.3);
pColor:Init(mColor1);
pColor:Anim( 
   fFade( pAge,
   mColor1, 1200,
   mColor2, 2500,
   Color(0.6,0.5,0.3,0.0))
   );

-- EMISION 
mMaxParticles = 1000;
mEmitSpeed = 10;
mExpireTime = 3000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
function Update(seconds)
   CreateParticles(seconds*mEmitSpeed);
end 