-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("powertrail");

-- ESCALA
pScale:Init(1);
pScale:Anim( fFade( pAge, 
   0.4, 250, 
   0.6));

-- POSICION

if not dLocus then
   dLocus = Vec2(0,0);
end

amp = 200;

--pPosition:Init( fPick(Vec2(fRange(-800,800),0),Vec2(fRange(-800,800),600),Vec2(0,fRange(-600,600)),Vec2(800,fRange(-600,600)) ));
pPosition:Init( dLocus - Vec2(fRange(-2,2),-509));
pVelocity = Allocate(2);
pVelocity:Init( (dLocus-pPosition+fRange(Vec2(-10,-10),Vec2(10,10)))*(1000/500));
ampX = Allocate(1);
ampX:Init(fRange(-amp,amp));
ampY = Allocate(1);
ampY:Init(fRange(-amp,amp));

pPosition:Anim( pPosition + fTimeScale(pVelocity));




-- ROTACION
mMaxSpinSpeed = mPi;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( -mMaxSpinSpeed, mMaxSpinSpeed ) );
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
if not power then
   power = 3;
end
mColor1 = Allocate(4);
mColor1:Init(Color(fRange(0,1),fRange(0.5,1),0,0.0));
mColor2 = Allocate(4);
mColor2:Init(Color(fRange(0,1),fRange(0.5,1),0,1));
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 250,
      mColor2)
   );


-- EMISION 
mMaxParticles = 100;
mExpireTime = 500;
mEmitSpeed = 100;
stopEmitAt = 2000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
time_ms = 0;
function Update(seconds)   
   time_ms = time_ms + seconds*1000;
--CreateParticles(seconds*mEmitSpeed);
   if time_ms<stopEmitAt then
      CreateParticles(seconds*mEmitSpeed);
   else
      Done();
   end
end 