-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("powerring");

-- ESCALA
--pScale:Init(fRange(1,1));
pScale:Anim( fFade( pAge, 
   1, 150, 
   4, 500,
   7));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( dLocus );

-- ROTACION
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mColor1 = Allocate(4);
mColor1:Init(Color(1,1,0,1));
mColor2 = Allocate(4);
mColor2:Init(Color(0.5,1,0,0.3));
mColor3 = Allocate(4);
mColor3:Init(Color(0,0,0,0));
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 300,
      mColor2, 500,
   mColor3)
   );


-- EMISION 
mMaxParticles = 1;
mExpireTime = 1000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
CreateParticles(1);
time_ms = 0;
function Update(seconds)   
   time_ms = time_ms + seconds*1000;
   if time_ms>=mExpireTime then
      Done();
   end
end