-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
blevel = Allocate(1);
if not barLevel then
  barLevel = 350;
   blevel:Init(barLevel);
end

-- TEXTURA
SetTexture("powertrail.png");

-- ESCALA
mScaleSpeed = fRange(-0.02,-0.05);
pScale:Init( 0.6 );
pScale:Anim( pScale + fTimeScale(mScaleSpeed));


-- POSICION
mMaxIniDist = 30;
mYMaxSpeedSlow = 400;
mYMinSpeedSlow = 200;
mYMaxSpeedFast = 800;
mYMinSpeedFast = 400;
maxAmp = 200;
minAmp = 150;
mYSpeed = Allocate(1);
mYSpeed:Init(fPick(fRange(mYMinSpeedSlow,mYMaxSpeedSlow),fRange(mYMinSpeedFast,mYMaxSpeedFast)));
yTime = Allocate(1);
yTime:Init(blevel/mYSpeed*1000);
yMaxTime = barLevel/mYMinSpeedSlow;
prop = Allocate(1);
prop:Init(mYSpeed / mYMaxSpeedFast);
inv = Allocate(1);
inv:Init((prop*-1)+1);

pVelocity = Allocate(2);

if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init( fRange( Vec2(-mMaxIniDist,-10), Vec2(mMaxIniDist,0) ) +dLocus);
ampX = Allocate(1);
ampX:Init(fRange(minAmp,maxAmp)*fPick(-1 ,1) );
pVelocity:Init(Vec2(0,mYSpeed*-1));
pPosition:Anim( pPosition + fTimeScale(pVelocity)
   + fTimeScale(fFade(pAge,
      Vec2(ampX,0),inv*200, 
      Vec2(ampX*-1,0),inv*400, 
      Vec2(ampX,0),inv*600, 
      Vec2(ampX*-1,0),inv*800,
      Vec2(ampX,0),inv*1000, 
      Vec2(ampX*-1,0),inv*1200, 
      Vec2(ampX,0),inv*1400, 
      Vec2(ampX*-1,0),inv*1600, 
      Vec2(ampX,0),inv*1800, 
      Vec2(ampX*-1,0),inv*2000, 
      Vec2(ampX,0),inv*2200, 
      Vec2(ampX*-1,0),inv*2400, 
      Vec2(ampX,0),inv*2600, 
      Vec2(ampX*-1,0),inv*2800,
      Vec2(ampX,0),inv*3000, 
      Vec2(ampX*-1,0),inv*3200, 
      Vec2(ampX,0),inv*3400, 
      Vec2(ampX*-1,0),inv*3600, 
      Vec2(ampX,0),inv*3800, 
      Vec2(ampX*-1,0),inv*4000, 
      Vec2(ampX,0)
   ))
);

-- ROTACION
pSpin = Allocate(1); 
pSpin:Init(-mPi/2);
--pSpin:Anim( pSpin + fRange( -0.01,0.01 ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
--mBlendMode = kBlendNormal;
SetBlendMode(kBlendAdditiveAlpha);
mColor1 = Allocate(4);
mColor2 = Allocate(4);
mColor1:Init(fRange(Color(0.5,0,0,1),Color(0,1,0,1)));
   mColor2:Init(Color(0,1,0,0));
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, yTime*0.9,
      mColor2)
   );
-- EMISION 
mMaxParticles = 5000;
mEmitSpeed = 50;
stopEmitAt = 1000;
level = Allocate(1);
level:Init(barLevel);
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(((pAge/1000)*mYSpeed),level) ) );

time_ms=0;
function Update(seconds)
   time_ms = time_ms + seconds*1000;
  if time_ms<stopEmitAt then
   CreateParticles(seconds*mEmitSpeed);
   elseif time_ms>yMaxTime then
   Done();
   end
end 