-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("aura.png");

-- ESCALA
mScaleSpeed = fRange(-1,0);
pScale:Init(2);
--pScale:Anim( pScale + fTimeScale(mScaleSpeed));

-- POSICION
mMaxIniDist = 10;
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( fRange( Vec2(-mMaxIniDist,-200), Vec2(mMaxIniDist,-200) ) +dLocus);

-- ROTACION
pSpin = Allocate(1); 
pSpin:Init(-mPi/2);
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
SetBlendMode(kBlendAdditiveAlpha);
mColor1 = Allocate(4);
mColor2 = Allocate(4);
mColor3 = Allocate(4);
mColor1:Init(Color(1,1,1,0.1));
   mColor2:Init(fRange(Color(0.5,0,0,0.1),Color(0,1,0,0.1)));
mColor3:Init(Color(0,0,0,0));
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 1000,
      mColor2, 2000,
      mColor3)
   );

-- EMISION 
mExpireTime = 3000;
mMaxParticles = 100;
mEmitSpeed = 50;
stopEmitAt = 400;
level = Allocate(1);
level:Init(barLevel);
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime)) );

CreateParticles(20);

time_ms=0;
function Update(seconds)
   time_ms = time_ms + seconds*1000;
  if time_ms>mExpireTime then
   Done();
   end
end 