-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
-- TEXTURA
if not pieceType then
   pieceType= 1;
end
if pieceType == 1 then
   mTexture = "piece01.xml";
elseif pieceType == 2 then
   mTexture = "piece02.xml";
elseif pieceType == 3 then
   mTexture = "piece03.xml";
elseif pieceType == 4 then
   mTexture = "piece04.xml";
elseif pieceType == 5 then
   mTexture = "piece05.xml";
elseif pieceType == 6 then
   mTexture = "piece06.xml";
end
SetTexture(mTexture);
--SetTexture("piece02.xml");
--algo =  pieceType;
pFrame:Init(fRange(0,3));

-- POSICION
mMaxIniDist = 10;
mMaxSpeed = 2000;
mGravity = 5000;
pVelocity = Allocate(2);
if not dLocus then
   dLocus= Vec2(0,0);
end
pPosition:Init( fRange( Vec2(-mMaxIniDist,-mMaxIniDist), Vec2(mMaxIniDist,mMaxIniDist) ) + dLocus);
direction = fRange( Vec2(-0.3,-1), Vec2(0.3,-1));
pVelocity:Init(direction*fRange(mMaxSpeed/2,mMaxSpeed));
pPosition:Anim( pPosition + fTimeScale(fFade( pAge,Vec2(0,0),300,pVelocity)) );
pVelocity:Anim( pVelocity + fTimeScale(Vec2(0,mGravity)) );

-- ROTACION
mMaxSpinSpeed = 10*mPi;
mMinSpinSpeed = 5*mPi;
pSpin = Allocate(1); 
pSpinSpeed = Allocate(1);
pSpin:Init( fRange( 0, 2*3.1415927 ) );
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed )*fPick(1,-1));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mBlendMode = kBlendNormal;
--mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
--pColor:Anim( 
  -- fFade( pAge,
   --Color(1,1,1,1),500,
   --Color(1,1,1,0) ) 
   --);

-- EMISION 
mExpireTime = 1000;
delay = 500;
createOnce = false;
mMaxParticles = 5;
SetNumParticles(mMaxParticles);
CreateParticles( mMaxParticles );
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
time_ms=0;
function Update(seconds)
   time_ms = time_ms + seconds*1000;
   if time_ms>(mExpireTime) then
        Done();
   end
end 