-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
-- TEXTURA
--SetTexture(mTexture);
SetTexture("spark.png");
--pFrame:Init(fRange(0,3));

-- ESCALA
mIniScale = 1;
mScaleSpeed = -0.1;
pScale:Init( mIniScale );
pScale:Anim( pScale + fTimeScale(mScaleSpeed) );

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end

if not dPosition then
   dPosition = Vec2(0,0);
end

amp = 150;
pPosition:Init( dLocus + dPosition);
ampX = Allocate(1);
ampX:Init(fRange(-amp,amp));
ampY = Allocate(1);
ampY:Init(fRange(-amp,amp));

pPosition:Anim( pPosition + fTimeScale(fFade(pAge,
   Vec2(ampX,ampY),150, 
   Vec2(ampX*-1,ampY*-1)
)));

-- ROTACION
pSpin = Allocate(1);
pSpin:Init( fRange( 0, 2*mPi) ); 
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( 0, 2*mPi) );
pSpin:Anim(pSpin + fTimeScale( pSpinSpeed )  );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
--mBlendMode = Allocate(1);
--mBlendMode:Init(fPick(kBlendNormal,kBlendAdditiveAlpha));
mBlendMode = kBlendAdditiveAlpha;
if not pieceType then
   pieceType= 2;
end

if pieceType == 1 then
   mColor1 = Color(0.5,0.5,0.5,0.4);
   mColor2 = Color(1,1,1,0);
elseif pieceType == 2 then
   mColor1 = Color(0.11,0.85,0.87,0.4);
   mColor2 = Color(0.11,0.24,0.85,0);
elseif pieceType == 3 then
   mColor1 = Color(0.91,0.29,0.85,0.4);
   mColor2 = Color(0.5,0.5,0.5,0);
elseif pieceType == 4 then
   mColor1 = Color(0.43,0.78,0.12,0.4);
   mColor2 = Color(0,1,0,0);
elseif pieceType == 5 then
   mColor1 = Color(0.83,0.2,0.2,0.4);
   mColor2 = Color(1,0,0,0);
elseif pieceType == 6 then
   mColor1 = Color(0.96,0.83,0.3,0.4);
   mColor2 = Color(1,1,0,0);
elseif pieceType > 6 then
   mColor1 = Color(0.5,0.5,0.5,0.4);
   mColor2 = Color(1,1,1,0);
end

SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
   fFade( pAge,
   mColor1,200,
   mColor2 ) 
);

-- EMISION 
mExpireTime = 300;
mMaxParticles = 100;
mEmitSpeed = 100;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
--time_ms=0;
function Update(seconds)
   --time_ms = time_ms + seconds*1000;
   CreateParticles(seconds*mEmitSpeed);
--   if time_ms>(mExpireTime) then
  --      Done();
   --end
end 