-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("flash");

-- ESCALA
pScale:Init(0.5);
pScale:Anim( fFade( pAge, 
   0.5, 150, 
   1.8));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( dLocus );

-- ROTACION
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
mColor1 = Color(1,1,0.8,1);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 600,
      Color(0,0,0,0))
   );


-- EMISION 
mMaxParticles = 1;
mExpireTime = 800;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
CreateParticles(mMaxParticles);
time_ms = 0;
function Update(seconds)   
   time_ms = time_ms + seconds*1000;
   if time_ms>=mExpireTime then
      Done();
   end
end