-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
if not power then
   power = 1;
end

-- TEXTURA
SetTexture("powershine");

-- ESCALA
scale1 = Allocate(1);
scale2 = Allocate(1);
if power == 2 then
	scale1:Init(0.1);
	scale2:Init(1.5);
else
	scale1:Init(0.1);
	scale2:Init(1);
end
pScale:Init(scale1);
pScale:Anim( fFade( pAge, 
   scale1, 60, 
   scale2));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( dLocus );

-- ROTACION
mMaxSpinSpeed = mPi;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( -mMaxSpinSpeed, mMaxSpinSpeed ) );
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mColor1 = Color(1,1,1,0.3);  
mColor2 = Color(1,1,1,0);  
if power == 0 then
      mColor1 = Color(0,1,1,0.3);
   mColor2 = Color(0.8,1,1,0)
elseif power == 1 then
      mColor1 = Color(0,1,0,0.3);
   mColor2 = Color(0.8,1,0.8,0)
elseif power == 2 then
      mColor1 = Color(1,1,0,0.3);
   mColor2 = Color(1,1,0.8,0)
end
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 200,
      mColor2)
   );


-- EMISION 
mMaxParticles = 10;
mExpireTime = 400;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
CreateParticles(mMaxParticles);