-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);
if not power then
   power = 3;
end

-- TEXTURA
SetTexture("powertrail");

-- ESCALA
scale1 = Allocate(1);
scale2 = Allocate(1);
if power == 2 then
   scale1:Init(2);
   scale2:Init(0.4);
else
   scale1:Init(1);
   scale2:Init(0.4);
end
pScale:Init(scale1);
pScale:Anim( fFade( pAge, 
   scale1, 250, 
   scale2));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end

if not dPosition then
   dPosition = Vec2(0,0);
end

if power == 2 then
   amp = 500;
else
   amp = 200;
end

pPosition:Init( dLocus + dPosition);
ampX = Allocate(1);
ampX:Init(fRange(-amp,amp));
ampY = Allocate(1);
ampY:Init(fRange(-amp,amp));

pPosition:Anim( pPosition + fTimeScale(fFade(pAge,
   Vec2(ampX,ampY),250, 
   Vec2(ampX*0.35*-1,ampY*0.35*-1)
)));




-- ROTACION
mMaxSpinSpeed = mPi;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( -mMaxSpinSpeed, mMaxSpinSpeed ) );
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR

mColor1 = Allocate(4);
mColor2 = Allocate(4);
if power == 0 then
   mColor1:Init(fRange(Color(0,0.3,1,0.5),Color(0,1,1,0.5)));
   mColor2:Init(Color(0,1,1,0.3));
elseif power == 1 then
      mColor1:Init(fRange(Color(0.5,0,0,0.5),Color(0,1,0,0.5)));
   mColor2:Init(Color(0,1,0,0.3));
elseif power == 2 then
  --    mColor1:Init(fRange(Color(1,1,1,0.5),Color(1,1,0,0.5)));
 --  mColor2:Init(Color(1,1,0,0.3));
mColor1:Init(fPick(Color(fRange(0,1),fRange(0.5,1),0,0.5),fRange(Color(1,1,1,0.5),Color(1,1,0,0.5))));
mColor2:Init(Color(fRange(0,1),fRange(0.5,1),0,0.3));
else
 mColor1:Init(Color(1,1,1,0.5));
   mColor2:Init(Color(1,1,1,0.3));
end
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 250,
      mColor2)
   );


-- EMISION 
mMaxParticles = 300;
if power == 2 then
   mExpireTime = 1000;
else
   mExpireTime = 500;
end
mEmitSpeed = 200;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
function Update(seconds)   
   CreateParticles(seconds*mEmitSpeed);
end 