-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

pressure = 1;
-- TEXTURA
--SetTexture("drop");
SetTexture("steam");
--pFrame:Init(fPick(0,1));
--pFrame:Init(fRange(pressure*1,1));
--pFrame:Init(1);

-- ESCALA
pScale:Anim( fFade( pAge,
   0.1, 500,
   0.3, 1200,
   1));


-- POSICION

mMaxIniDist = 2;
maxMinSpeed = 30; 
mXMinSpeed = Allocate(1);
mXMinSpeed:Init(pressure*maxMinSpeed+30);
mXMaxSpeed = mXMinSpeed+pressure*10;
mGravity = Allocate(1);
mGravity:Anim(fFade( pAge, fRange(200,-400), 700, fRange(100,-150)));
mWidth = pressure*15;
mXSpeed = Allocate(1);
mXSpeed:Init(fRange(mXMinSpeed,mXMaxSpeed));
mYSpeed = fRange(-mWidth,mWidth);

pVelocity = Allocate(2);

leakX=38;
leakY=0;
if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init( fRange( Vec2(0,-mMaxIniDist), Vec2(0,mMaxIniDist) ) + dLocus + Vec2(leakX,leakY) );
pVelocity:Init(Vec2(mXSpeed,mYSpeed*-1));
pPosition:Anim( pPosition + fTimeScale(pVelocity));
pVelocity:Anim( pVelocity + fFade( pAge,Vec2(0,0),700,Vec2(-0.1,0))+ fTimeScale(Vec2(0,mGravity)) );

-- ROTACION
mMaxSpinSpeed = 1.2*mPi;
mMinSpinSpeed = mPi/2;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1); 
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed )*fPick(1,-1));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mBlendMode = kBlendNormal;
--mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
--SetBlendMode(0);
mColor1 = Allocate(4);
mColor1:Init(Color(1,1,1,pressure*0.1+0.1));
pColor:Init(mColor1);
pColor:Anim( 
   fFade( pAge,
   mColor1, 400,
   Color(1,1,1,pressure*0.2+0.2), 1000,
   Color(1,1,1,0.0))
   );


-- EMISION 
if not on then
   on = 1;
end
mEnable=Allocate(1);
mEnable:Init(on);
--fDebug(mEnable);
mMaxParticles = 1000;
mEmitSpeed = pressure*60+60;
--mEmitSpeed = 5;
mExpireTime = mEnable*1500;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );

--mCosas=Allocate(1);
--mCosas:Init(on);
--time_ms=0;
function Update(seconds)
   --time_ms = time_ms + seconds*1000;
   CreateParticles(seconds*mEmitSpeed);
--CreateParticles(seconds*mEmitSpeed);
--   if time_ms>(mExpireTime) then
  --      Done();
   --end
end 