-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("powerring");

-- ESCALA
--pScale:Init(fRange(1,1));
pScale:Anim( fFade( pAge, 
   1, 150, 
   2, 500,
   2));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( dLocus );

-- ROTACION
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
if not power then
   power = 1;
end
if power == 0 then
      mColor1 = Color(0,1,1,1);
elseif power == 1 then
      mColor1 = Color(0,1,0,1);
elseif power == 2 then
      mColor1 = Color(1,1,0,1);
end
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 300,
   Color(0,0,0,0))
   );


-- EMISION 
mMaxParticles = 1;
mExpireTime = 1000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
CreateParticles(1);
time_ms = 0;
function Update(seconds)   
   time_ms = time_ms + seconds*1000;
   if time_ms>=mExpireTime then
      Done();
   end
end 
