require( "scripts/style.lua" );
YesGraphics = {
	"buttons/yesup",
	"buttons/yesdown",
	"buttons/yesover"
};

YesStyle = {
	graphics = YesGraphics,
};
NoGraphics = {
	"buttons/noup",
	"buttons/nodown",
	"buttons/noover"
};

NoStyle = {
	graphics = NoGraphics,
};


local yes="yes" ;
local yesname="yes" ;
local no="no" ;	
local noname="no" ;	
local name="yesnobox";
local yescmd=gDialogTable.yes;
local nocmd=gDialogTable.no;
	
if (gDialogTable.yeslabel) then
	yes = gDialogTable.yeslabel ;
end
if (gDialogTable.nolabel) then
	no = gDialogTable.nolabel ;
end
if (gDialogTable.yesname) then
	yesname = gDialogTable.yesname;
end
if (gDialogTable.noname) then
	noname = gDialogTable.noname;
end

if (gDialogTable.name) then
	name = gDialogTable.name;
end

MakeDialog
{
	name=name, -- Remember, this is like saying table['name']=name, so it works.

	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/dbg",
		scale = 201,
	},

    Bitmap
    {
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,

        SetStyle(YesStyle),
        Button
        {
			command=
				function()
					if (yescmd) then 
						yescmd() ; 
					end
				end;
            close = true,
            flags = 5,
            name = yesname,
            x = kCenter-60,
            y = kMax-90,
        },

	SetStyle(NoStyle),
        Button
        {
			command=
				function() 
					if (nocmd) then
						nocmd() ; 
					end
                end;
            close = true,
            flags = 5,
            name = noname,
            x = kCenter+60,
            y = kMax-90,
        },
        
    },

} -- MakeDialog
