-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("drillrubble.xml");
pFrame:Init(fPick(0,1,2));

-- ESCALA
pScale:Init(1);


-- POSICION
mMaxIniDist = 2;
mGravity = 250;
mXSpeed = Allocate(1);
mXSpeed:Init(100);
mYSpeed = fRange(-120,40);

pVelocity = Allocate(2);

if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init( fRange( Vec2(0,-mMaxIniDist), Vec2(0,mMaxIniDist) ) + dLocus + Vec2(-10,10) );
pVelocity:Init(Vec2(mXSpeed,mYSpeed));
pPosition:Anim( pPosition + fTimeScale(pVelocity));
pVelocity:Anim( pVelocity + fTimeScale(Vec2(0,mGravity)) );

-- ROTACION
mMaxSpinSpeed = 10*mPi;
mMinSpinSpeed = 5*mPi;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1); 
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed )*fPick(1,-1));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
SetBlendMode(kBlendNormal);
pColor:Init(Color(1,1,1,1));


-- EMISION 
mMaxParticles = 200;
mEmitSpeed = 40;
mExpireTime = 1000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );

function Update(seconds)
   CreateParticles(seconds*mEmitSpeed);
end 