-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("drillsmoke");

-- ESCALA
pScale:Anim( fFade( pAge,
   0.1, 500,
   0.2));


-- POSICION

mMaxIniDist = 2;
mXMinSpeed = 30;
mXMaxSpeed = 50;
mXSpeed = Allocate(1);
mXSpeed:Init(fRange(mXMinSpeed,mXMaxSpeed));
mYSpeed = fRange(-8,5);
pVelocity = Allocate(2);
if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init( 
   fRange( Vec2(0,-mMaxIniDist), 
      Vec2(0,mMaxIniDist) ) + dLocus + Vec2(60,5) );
pVelocity:Init(Vec2(mXSpeed,mYSpeed));
pPosition:Anim( pPosition + fTimeScale(pVelocity));

-- ROTACION
mMaxSpinSpeed = 1.2*mPi;
mMinSpinSpeed = mPi/2;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1); 
pSpinSpeed:Init( fRange( mMinSpinSpeed, mMaxSpinSpeed )*fPick(1,-1));
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
SetBlendMode(kBlendNormal);
mColor1 = Color(1,1,1,0.2);
mColor2 = Color(1,1,1,0.5);
pColor:Init(mColor1);
pColor:Anim( 
   fFade( pAge,
   mColor1, 400,
   mColor2, 600,
   Color(1,1,1,0.0))
   );

-- EMISION 
mMaxParticles = 1000;
mEmitSpeed = 50;
mExpireTime = 1000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
function Update(seconds)
   CreateParticles(seconds*mEmitSpeed);
end 