-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("powershine2");

-- ESCALA
pScale:Init(0);
pScale:Anim( fFade( pAge, 
   0, 500, 
   0, 501,
   1.5));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end

pPosition:Init(dLocus);

-- ROTACION
mMaxSpinSpeed = mPi/4;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( -mMaxSpinSpeed, mMaxSpinSpeed ) );
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mColor1 = Allocate(4);
mColor1:Init(Color(fRange(0,1),fRange(0.5,1),0,1));
mColor2 = Allocate(4);
mColor2:Init(Color(fRange(0,1),fRange(0.5,1),0,0.0));
SetBlendMode(kBlendAdditiveAlpha);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 4000,
      mColor2)
   );


-- EMISION 
mMaxParticles = 10;
mExpireTime = 5000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
CreateParticles(mMaxParticles);
time_ms = 0;
function Update(seconds)   
   time_ms = time_ms + seconds*1000;
   if time_ms>=1300 then
      Done();
   end
end 