-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("highlight");

-- ESCALA
pScale:Init(0.4);
pScale:Anim( fFade( pAge, 
	0.4, 2000, 
   1.2));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( dLocus );

-- ROTACION
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
mColor1 = Color(1,1,1,1);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 4000,
      Color(0,0,0,0))
   );


-- EMISION 
mMaxParticles = 13;
mEmitSpeed = 2;
mExpireTime = 5000;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
function Update(seconds)
   CreateParticles(seconds*mEmitSpeed);
end 