-- COSTANTES
mPi= 3.1415927;

-- INICIO
pAge = Allocate(1); 
pAge:Init(0);

-- TEXTURA
SetTexture("powershine");

-- ESCALA
pScale:Init(0.1);
pScale:Anim( fFade( pAge, 
   0.1, 130, 
   2));

-- POSICION
if not dLocus then
   dLocus = Vec2(0,0);
end
pPosition:Init( dLocus );

-- ROTACION
mMaxSpinSpeed = mPi;
pSpin = Allocate(1);
pSpin:Init(fRange(0,2*mPi));
pSpinSpeed = Allocate(1);
pSpinSpeed:Init( fRange( -mMaxSpinSpeed, mMaxSpinSpeed ) );
pSpin:Anim( pSpin + fTimeScale( pSpinSpeed ) );
pUp:Anim( f2dRotation( pSpin ) );

-- COLOR
mColor1 = Color(1,1,1,0.3);  
mColor2 = Color(1,1,1,0);  

mBlendMode = kBlendAdditiveAlpha;
SetBlendMode(mBlendMode);
pColor:Init(mColor1);
pColor:Anim( 
      fFade( pAge,
      mColor1, 260,
      mColor2)
   );


-- EMISION 
mMaxParticles = 7;
mExpireTime = 500;
SetNumParticles(mMaxParticles);
pAge:Anim( pAge+fAge() );
Anim( fExpire( fGreater(pAge,mExpireTime) ) );
CreateParticles(mMaxParticles);

time_ms=0;
function Update(seconds)
   time_ms = time_ms + seconds*1000;
   if time_ms>(mExpireTime) then
        Done();
   end
end