require( "scripts/style.lua" );

PlayGraphics = {
	"buttons/playup",
	"buttons/playdown",
	"buttons/playover"
};
ExitGraphics = {
	"buttons/exitup",
	"buttons/exitdown",
	"buttons/exitover"
};
CreditsGraphics = {
	"buttons/creditsup",
	"buttons/creditsdown",
	"buttons/creditsover"
};


PlayStyle = {
	graphics = PlayGraphics,
};
ExitStyle = {
	graphics = ExitGraphics,
};
CreditsStyle = {
	graphics = CreditsGraphics,
};


MakeDialog
{
 	name="mainMenu",
	Bitmap
	{
		image="backgrounds/mainmenu",
	},

	MainMenu
	{
     	name="MainMenu",
		x = 0, y = 0,
		w = 0, h = 0,
	},
	
Bitmap
	{
		image="backgrounds/dialogmenu",
		x = 615, y = 380,
	},

    SetStyle(PlayStyle),
	Button
	{
        x = 638, y = 428,
	    name="map",
		type = kPush,
		command=
			function()
				DisplayDialog {
					"scripts/wizland.lua",
					load = false,
				};
			end
	},

    SetStyle(CreditsStyle),
	Button
	{
        x = 638, y = 468,
	    name="credits",
		type = kPush,
		command=
			function()
				DisplayDialog {
					"scripts/credits.lua",
				};
			end
	},
	
	SetStyle(ExitStyle),
	Button
	{
  		x = 638, y = 508,
		name="quit",
  		type = kPush,
		command=
			function()
				result = DisplayDialog {
					"scripts/yesno.lua",
					body ="quitconfirm",
					title = "quittitle"
				};
				if (result=='yes') then
					PostMessage( CreateNamedMessage( kQuitNow, "Quit" ) );
				end
			end
	},
}
