require( "scripts/style.lua" );

RetryGraphics = {
	"buttons/retryup",
	"buttons/retrydown",
	"buttons/retryover"
};
ExitGraphics = {
	"buttons/exitup",
	"buttons/exitdown",
	"buttons/exitover"
};


RetryStyle = {
	graphics = RetryGraphics,
};
ExitStyle = {
	graphics = ExitGraphics,
};

HeaderFont = {
  standardFont,
  20,
  BlackColor
};


MakeDialog
{
	name="outoftime",

	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/dbg",
		scale = 201,
	},

	Bitmap
	{
		image="backgrounds/largedialog",
		x=kCenter,
		y=kCenter,

     		
SetStyle(RetryStyle),
		Button
		{
		x = kCenter-60,
            y = kMax-90,
			close = true,
   			command=
				function()
					msgDispatcher( {handler = "kingdomWindow", message = "tryAgain"});
				end 
		},
		
SetStyle(ExitStyle),

		Button
		{
			x = kCenter+60,
            y = kMax-90,
			command=
				function()
				    msgDispatcher( {handler = "kingdomWindow", message = "backToMap"});
                    --PopModal("actionmode");
				end
		},
	},
}