require( "scripts/style.lua" );

ExitGraphics = {
	"buttons/exitup",
	"buttons/exitdown",
	"buttons/exitover"
};


ExitStyle = {
	graphics = ExitGraphics,
};

normal = 0;
start = 1;
finish = 2;
treasure1 = 3;
treasure2 = 4;
treasure3 = 5;
treasure4 = 6;
treasure5 = 7;
treasure6 = 8;
movie = 9;
lock1 = 10;
lock2 = 11;
lock3 = 12;
key1 = 13;
key2 = 14;
key3 = 15;

--botones de desplazamiento
centerDistance = 10;
centerX = 736;
centerY = 515;

MakeDialog
{
 	name="wizland",
  	
	KingdomWindow
	{
		name = "kingdomWindow",
		x=0, y=0,
		w=800, h=600,
		clouds = {
		{ image="backgrounds/wizbgc01", pos={x=400, y=300} },       
		{ image="backgrounds/wizbgc02", pos={x=1200, y=300} },
		{ image="backgrounds/wizbgc03", pos={x=400, y=900} },
		{ image="backgrounds/wizbgc04", pos={x=1200, y=900} },
		},
		
		portions = {
		{ id=0, image="backgrounds/wiz01", pos={x=400, y=925} },   --0,650 ; 800,1250       --800,550
		{ id=1, image="backgrounds/wiz02", pos={x=850, y=1000} },   --500,800 ; 1200; 1200   --700, 400
		{ id=2, image="backgrounds/wiz03", pos={x=450, y=1075} },   --100,950 ; 800,1200     -- 700, 250
		{ id=3, image="backgrounds/wiz04", pos={x=1300, y=850} },   --1000,500 , 1600,1200   -- 600, 700
		{ id=4, image="backgrounds/wiz05", pos={x=875, y=750} },   -- 400,500; 1350,1000    -- 950, 500
		{ id=5, image="backgrounds/wiz06", pos={x=575, y=550} },   -- 150, 200 1000 900      --850, 700
		{ id=6, image="backgrounds/wiz07", pos={x=200, y=625} },   -- 0, 350, 400,900       --400, 550
		{ id=7, image="backgrounds/wiz08", pos={x=300, y=350} },   --0,50, 600,650         -- 600,600
		{ id=8, image="backgrounds/wiz09", pos={x=350, y=250} },   --0,0, 700,500           -- 700, 500
		{ id=9, image="backgrounds/wiz10", pos={x=725, y=200} },    --400,0, 1500,400       -- 650,400
		{ id=10, image="backgrounds/wiz11", pos={x=900, y=450} },   --600,150 1200,750      -- 600, 600
		{ id=11, image="backgrounds/wiz12", pos={x=1050, y=200} },   --750,0, 1350,400       -- 600, 400
		{ id=12, image="backgrounds/wiz13", pos={x=1275, y=550} },   --950,250, 1600,850     -- 650, 600
		{ id=13, image="backgrounds/wiz14", pos={x=1300, y=250} },   --1000,0, 1600,500      -- 600 , 500
		{ id=14, image="backgrounds/wiz15", pos={x=1375, y=100} },   --1150,200, 1600,200    -- 450, 200
		{ id=15, image="backgrounds/wiz16", pos={x=700, y=100} },   --450,0, 950,200    -- 500, 200
		},
		
		spots = {
		{ spot=0, level=-1, type=start, pos={x=138, y=1032}, },
        { spot=1, level=0, type=normal, pos={x=273, y=907}, },
        { spot=2, level=1, type=normal, pos={x=631, y=918}, },
        { spot=3, level=2, type=normal, pos={x=506, y=991}, },
        { spot=4, level=3, type=normal, pos={x=548, y=1173}, },
        { spot=5, level=-1, type=key1, pos={x=272, y=1130}, },
        { spot=6, level=4, type=normal, pos={x=750, y=1065}, },
        { spot=7, level=5, type=normal, pos={x=947, y=992}, },
        { spot=8, level=6, type=normal, pos={x=1181, y=995}, },
        { spot=9, level=7, type=normal, pos={x=1397, y=1066}, },

		{ spot=10, level=-1, type=key2, pos={x=1173, y=1185}, },
		{ spot=11, level=-1, type=lock1, pos={x=1296, y=860}, },
		{ spot=12, level=8, type=normal, pos={x=1551, y=698}, },
		{ spot=13, level=9, type=normal, pos={x=1247, y=581}, },
		{ spot=14, level=10, type=normal, pos={x=1496, y=531}, },
		{ spot=15, level=11, type=normal, pos={x=1175, y=374}, },
		{ spot=16, level=12, type=normal, pos={x=1546, y=347}, },
		{ spot=17, level=13, type=normal, pos={x=1458, y=259}, },
		{ spot=18, level=14, type=normal, pos={x=1273, y=209}, },
		{ spot=19, level=15, type=normal, pos={x=1333, y=138}, },
		{ spot=20, level=-1, type=key3, pos={x=1543, y=73}, },
		{ spot=21, level=16, type=normal, pos={x=1121, y=110}, },
		{ spot=22, level=-1, type=treasure1, pos={x=1012, y=73}, },
		{ spot=23, level=17, type=normal, pos={x=881, y=150}, },
		{ spot=24, level=-1, type=finish, pos={x=732, y=86}, },
		{ spot=25, level=18, type=normal, pos={x=562, y=155}, },
		{ spot=26, level=19, type=normal, pos={x=364, y=214}, },
		{ spot=27, level=20, type=normal, pos={x=324, y=377}, },
		{ spot=28, level=21, type=normal, pos={x=167, y=397}, },
		{ spot=29, level=22, type=normal, pos={x=60, y=496}, },
		
		{ spot=30, level=23, type=normal, pos={x=157, y=663}, },
		{ spot=31, level=24, type=normal, pos={x=362, y=706}, },
		{ spot=32, level=25, type=normal, pos={x=604, y=688}, },
		{ spot=33, level=26, type=normal, pos={x=796, y=822}, },
		{ spot=34, level=27, type=normal, pos={x=998, y=781}, },
		{ spot=35, level=28, type=normal, pos={x=797, y=621}, },
		{ spot=36, level=29, type=normal, pos={x=942, y=519}, },
		{ spot=37, level=-1, type=lock3, pos={x=602, y=480}, },
		{ spot=38, level=30, type=normal, pos={x=722, y=370}, },
		{ spot=39, level=-1, type=treasure3, pos={x=915, y=317}, },

        { spot=40, level=-1, type=lock2, pos={x=136, y=278}, },
        { spot=41, level=31, type=normal, pos={x=231, y=207}, },
        { spot=42, level=32, type=normal, pos={x=86, y=95}, },
        { spot=43, level=-1, type=treasure2, pos={x=345, y=79}, },
        { spot=44, level=-1, type=treasure4, pos={x=674, y=1147}, },
		},
		
		spotPortion = {
		{ spot = 0, portion = 0},
		{ spot = 1, portion = 0},
		{ spot = 2, portion = 0},
		{ spot = 3, portion = 0},
		{ spot = 4, portion = 2},
		{ spot = 5, portion = 2},
		{ spot = 6, portion = 1},
		{ spot = 7, portion = 1},
		{ spot = 8, portion = 3},
		{ spot = 9, portion = 3},

		{ spot = 10, portion = 3},
		{ spot = 11, portion = 3},
		{ spot = 12, portion = 3},
		{ spot = 13, portion = 12},
		{ spot = 14, portion = 12},
		{ spot = 15, portion = 12},
		{ spot = 16, portion = 13},
		{ spot = 17, portion = 13},
		{ spot = 18, portion = 13},
		{ spot = 19, portion = 13},

		{ spot = 20, portion = 14},
		{ spot = 21, portion = 11},
		{ spot = 22, portion = 11},
		{ spot = 23, portion = 9},
		{ spot = 24, portion = 15},
		{ spot = 25, portion = 9},
		{ spot = 26, portion = 8},
		{ spot = 27, portion = 7},
		{ spot = 28, portion = 7},
		{ spot = 29, portion = 6},

		{ spot = 30, portion = 6},
        { spot = 31, portion = 5},
		{ spot = 32, portion = 4},
		{ spot = 33, portion = 4},
		{ spot = 34, portion = 4},
		{ spot = 35, portion = 5},
		{ spot = 36, portion = 10},
		{ spot = 37, portion = 5},
		{ spot = 38, portion = 5},
		{ spot = 39, portion = 10},

		{ spot = 40, portion = 7},
        { spot = 41, portion = 7},
		{ spot = 42, portion = 8},
		{ spot = 43, portion = 8},
		{ spot = 44, portion = 2},
		
		},
		--caminos
		paths = {
		{ spot1=0, spot2=1, control1 = { x=140, y=976}, control2 = { x=213, y=912}, },
		{ spot1=1, spot2=2, control1 = { x=419, y=803}, control2 = { x=561, y=878}, },
		{ spot1=2, spot2=3, control1 = { x=580, y=901}, control2 = { x=516, y=913}, },
		{ spot1=3, spot2=4, control1 = { x=552, y=942}, control2 = { x=555, y=1108}, },
		{ spot1=4, spot2=5, control1 = { x=464, y=1088}, control2 = { x=365, y=1081}, },
		{ spot1=2, spot2=6, control1 = { x=696, y=886}, control2 = { x=734, y=1014}, },
		{ spot1=6, spot2=7, control1 = { x=792, y=962}, control2 = { x=927, y=983}, },
		{ spot1=7, spot2=8, control1 = { x=1030, y=896}, control2 = { x=1151, y=940}, },
		{ spot1=8, spot2=9, control1 = { x=1254, y=935}, control2 = { x=1355, y=983}, },
		{ spot1=9, spot2=10, control1 = { x=1303, y=1028}, control2 = { x=1190, y=1120}, },
		
		{ spot1=8, spot2=11, control1 = { x=1182, y=841}, control2 = { x=1238, y=851}, },
		{ spot1=11, spot2=12, control1 = { x=1332, y=756}, control2 = { x=1504, y=643}, },
		{ spot1=12, spot2=13, control1 = { x=1501, y=593}, control2 = { x=1375, y=547}, },
		{ spot1=13, spot2=14, control1 = { x=1293, y=409}, control2 = { x=1469, y=491}, },
		{ spot1=14, spot2=15, control1 = { x=1444, y=375}, control2 = { x=1289, y=332}, },
		{ spot1=15, spot2=16, control1 = { x=1296, y=262}, control2 = { x=1456, y=290}, },
		{ spot1=16, spot2=17, control1 = { x=1531, y=273}, control2 = { x=1502, y=245}, },
		{ spot1=17, spot2=18, control1 = { x=1432, y=166}, control2 = { x=1304, y=186}, },
		{ spot1=18, spot2=19, control1 = { x=1278, y=82}, control2 = { x=1318, y=130}, },
		{ spot1=19, spot2=20, control1 = { x=1362, y=55}, control2 = { x=1483, y=43}, },
		
		{ spot1=18, spot2=21, control1 = { x=1269, y=143}, control2 = { x=1164, y=99}, },
		{ spot1=21, spot2=22, control1 = { x=1101, y=57}, control2 = { x=1039, y=57}, },
		{ spot1=21, spot2=23, control1 = { x=1040, y=84}, control2 = { x=958, y=94}, },
		{ spot1=23, spot2=24, control1 = { x=884, y=100}, control2 = { x=791, y=66}, },
		{ spot1=24, spot2=25, control1 = { x=678, y=72}, control2 = { x=572, y=71}, },
		{ spot1=25, spot2=26, control1 = { x=522, y=133}, control2 = { x=397, y=102}, },
		{ spot1=26, spot2=27, control1 = { x=348, y=227}, control2 = { x=293, y=272}, },
		{ spot1=27, spot2=28, control1 = { x=259, y=339}, control2 = { x=197, y=363}, },
		{ spot1=28, spot2=29, control1 = { x=119, y=363}, control2 = { x=53, y=398}, },
		{ spot1=29, spot2=30, control1 = { x=86, y=500}, control2 = { x=163, y=540}, },
		
		{ spot1=30, spot2=31, control1 = { x=235, y=609}, control2 = { x=328, y=654}, },
		{ spot1=31, spot2=32, control1 = { x=431, y=622}, control2 = { x=529, y=626}, },
		{ spot1=32, spot2=33, control1 = { x=692, y=664}, control2 = { x=805, y=722}, },
		{ spot1=33, spot2=34, control1 = { x=859, y=756}, control2 = { x=944, y=764}, },
		{ spot1=34, spot2=8, control1 = { x=1029, y=896}, control2 = { x=1181, y=842}, },
		{ spot1=32, spot2=37, control1 = { x=590, y=601}, control2 = { x=593, y=529}, },
		{ spot1=37, spot2=35, control1 = { x=694, y=472}, control2 = { x=777, y=554}, },
		{ spot1=35, spot2=36, control1 = { x=825, y=535}, control2 = { x=894, y=522}, },
		{ spot1=36, spot2=13, control1 = { x=1058, y=469}, control2 = { x=1163, y=487}, },
		{ spot1=37, spot2=38, control1 = { x=593, y=389}, control2 = { x=662, y=360}, },

		{ spot1=38, spot2=39, control1 = { x=764, y=296}, control2 = { x=859, y=277}, },
		{ spot1=28, spot2=40, control1 = { x=177, y=342}, control2 = { x=165, y=300}, },
		{ spot1=40, spot2=41, control1 = { x=146, y=215}, control2 = { x=190, y=203}, },
		{ spot1=41, spot2=42, control1 = { x=231, y=115}, control2 = { x=152, y=66}, },
		{ spot1=42, spot2=43, control1 = { x=131, y=21}, control2 = { x=291, y=28}, },
        { spot1=6, spot2=44, control1 = { x=663, y=1078}, control2 = { x=683, y=1109}, },
		},
		 
		walkSpeed = 200;
		mapSize = { x=1600, y=1200 },
		walkerBoundaryVert = 200,
		walkerBoundaryHoriz = 300,
		cameraSpeed_pps = 300,
		cameraWalkerSpeed_pps=150;
	},

Bitmap
	{
		image="backgrounds/dialog_arrows",
		x = 682, y = 458,
	},

	KingdomHUD
	{
		x = 387, y = 0,
		w = 410, h = 53,
		name = "kingdomHUD",
		bg = "backgrounds/kingdomhud",
		hideSpeed_pps = 100,
		hideHeight = 35,	
	},
	
	ButtonGS
	{
    	x = 775, y = 0,
  		h=25, w=25,
		name="showHudButton",
		continuousCallback = false,
		idle="buttons/show_hud_button_idle",
		over="buttons/show_hud_button_over",
		push="buttons/show_hud_button_push",
	},
	
	ButtonGS
	{
    	x = 775, y = 0,
  		h=25, w=25,
		name="hideHudButton",
		continuousCallback = false,
		idle="buttons/hide_hud_button_idle",
		over="buttons/hide_hud_button_over",
		push="buttons/hide_hud_button_push",
	},
			
 	ButtonGS
	{
    	x = centerX - 12,
		y = centerY-centerDistance-25,
  		h=25, w=25,
		name="kingdomMapButtonUp",
		continuousCallback = true,
		idle="buttons/map_top_up",
		over="buttons/map_top_over",
		push="buttons/map_top_down",
		disabled="buttons/map_top_dis",
	},

 	ButtonGS
	{
  		x = centerX - 12,
		y = centerY+centerDistance,
  		h=25, w=25,
		name="kingdomMapButtonDown",
		continuousCallback = true,
  		idle="buttons/map_bottom_up",
		push="buttons/map_bottom_down",
		over="buttons/map_bottom_over",
		disabled="buttons/map_bottom_dis",
	},
	

	ButtonGS
	{
		x = centerX-centerDistance-25,
		y =  centerY - 12,
		h=25, w=25,
		name="kingdomMapButtonLeft",
		continuousCallback = true,
  		idle="buttons/map_left_up",
		push="buttons/map_left_down",
		over="buttons/map_left_over",
		disabled="buttons/map_left_dis",
	},
	
	ButtonGS
	{
    	x = centerX+centerDistance,
		y =  centerY - 12,
		h=25, w=25,
		name="kingdomMapButtonRight",
		continuousCallback = true,
  		idle="buttons/map_right_up",
		push="buttons/map_right_down",
		over="buttons/map_right_over",
		disabled="buttons/map_right_dis",
	},
	


 	SetStyle(ExitStyle),
	Button
	{
  		x = 675, y = 555,
		name="quit",
  		type = kPush,
		command=
			function()
				PopModal("wizland");
			end
	},
}
